From c84808614fd319669ec2e1225f1a30886897cc18 Mon Sep 17 00:00:00 2001
From: Bryan Keller <bkeller@bkeller-mac.local>
Date: Mon, 16 Sep 2013 09:42:27 -0700
Subject: [PATCH] [GRADLE-2886] Keep order of META-INF when generating ear and
 war files

---
 subprojects/ear/src/main/groovy/org/gradle/plugins/ear/Ear.groovy       | 2 +-
 .../plugins/src/main/groovy/org/gradle/api/tasks/bundling/War.groovy    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/subprojects/ear/src/main/groovy/org/gradle/plugins/ear/Ear.groovy b/subprojects/ear/src/main/groovy/org/gradle/plugins/ear/Ear.groovy
index 4fd7227..325a148 100644
--- a/subprojects/ear/src/main/groovy/org/gradle/plugins/ear/Ear.groovy
+++ b/subprojects/ear/src/main/groovy/org/gradle/plugins/ear/Ear.groovy
@@ -48,7 +48,7 @@ class Ear extends Jar {
 
     Ear() {
         extension = EAR_EXTENSION
-        lib = rootSpec.addFirst().into {
+        lib = rootSpec.addChild().into {
             getLibDirName()
         }
         mainSpec.eachFile { FileCopyDetails details ->
diff --git a/subprojects/plugins/src/main/groovy/org/gradle/api/tasks/bundling/War.groovy b/subprojects/plugins/src/main/groovy/org/gradle/api/tasks/bundling/War.groovy
index 333c325..ec2edee 100644
--- a/subprojects/plugins/src/main/groovy/org/gradle/api/tasks/bundling/War.groovy
+++ b/subprojects/plugins/src/main/groovy/org/gradle/api/tasks/bundling/War.groovy
@@ -39,7 +39,7 @@ class War extends Jar {
         extension = WAR_EXTENSION
         // Add these as separate specs, so they are not affected by the changes to the main spec
 
-        webInf = rootSpec.addFirst().into('WEB-INF')
+        webInf = rootSpec.addChild().into('WEB-INF')
         webInf.into('classes') {
             from {
                 def classpath = getClasspath()
-- 
1.7.12.4 (Apple Git-37)

